Name: H5Pget_buffer
Signature:
  hsize_t `H5Pget_buffer`(hid_t `plist`, void `**tconv`, void `**bkg` )
Purpose:
  Reads buffer settings.
Description:
  `H5Pget_buffer` reads values previously set with H5Pset_buffer.
Parameters:

hid_t `plist` | IN: Identifier for the dataset transfer property list.
void `**tconv` | OUT: Address of the pointer to application-allocated type conversion buffer.
void `**bkg` | OUT: Address of the pointer to application-allocated background buffer.

Returns:
  Returns buffer size, in bytes, if successful; otherwise 0 on failure.
Fortran90 Interface: h5pget_buffer_f

      SUBROUTINE h5pget_buffer_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)    :: plist_id ! Dataset transfer
                                                  ! property list identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: size     ! Conversion buffer size
        INTEGER, INTENT(OUT)          :: hdferr   ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_buffer_f

History:

Release | C
1.6.0 | The return type changed from hsize_t to size_t.
1.4.0 | The return type changed to hsize_t.